import os

import gi

gi.require_version("Gtk", "3.0")
from gi.repository import Gtk

import settings

class AboutDialog(object):

    '''Commmon utilities for dialogs.'''

    def __init__(self, parent):
        '''Create a window from the glade file and get references to widgets.

        If notebook_name is not None, use it in validate_values().  Make the
        window transient for parent.

        '''
        builder = Gtk.Builder()
        builder.set_translation_domain(settings.gettext_domain)
        builder.add_from_file(settings.glade_file_path)

        self.window = builder.get_object('about_dialog')
        self.window.set_version(settings.version)

        #if parent is not None:
        #    self.window.set_transient_for(parent)
    
    def run(self):
        '''Show the dialog to modify config.'''        
        self.window.run()

    def destroy(self):
        '''Destroy the dialog.'''
        self.window.destroy()
